<!--
  Generated template for the LoginPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Hallinto</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-card>
    <ion-card-header>
      Anmeldung
    </ion-card-header>

    <form [formGroup]="credentialsForm">
      <ion-item>
        <ion-label floating>Benutzername</ion-label>
        <ion-input [formControl]="credentialsForm.controls['username']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Passwort</ion-label>
        <ion-input [formControl]="credentialsForm.controls['password']"
                   type="password"></ion-input>
      </ion-item>

      <ion-row padding>
        <ion-col text-center>
          <button ion-button block color="primary" (click)="onSignIn()" [disabled]="!credentialsForm.valid">
            Anmelden
          </button>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col text-center>
          <button ion-button clear color="dark" (click)="onForgotPassword()">
            Passwort vergessen?
          </button>
        </ion-col>
      </ion-row>

    </form>
  </ion-card>
</ion-content>
